#### Description:

The StcObsDataLocation class is a sub-class of Stc used to describe the coordinate space occupied by a particular observational dataset.

See http://hea-www.harvard.edu/ ∼arots/nvometa/STC.html

An STC ObsDataLocation element specifies the extent of the observation within a specified coordinate system, and also specifies the observatory location within a second coordinate system.

The AST StcObsDataLocation class inherits from Stc, and therefore an StcObsDataLocation can be used directly as an Stc. When used in this way, the StcObsDataLocation describes the location of the observation (not the observatory).

Eventually, this class will have a method for returning an Stc describing the observatory location. However, AST currently does not include any classes of Frame for describing terrestrial or solar system positions. Therefore, the provision for returning observatory location as an Stc is not yet available. However, for terrestrial observations, the position of the observatory can still be recorded using the ObsLon and ObsLat attributes of the Frame encapsulated within the Stc representing the observation location (this assumes the observatory is located at sea level).

#### Constructor Function

astStcObsDataLocation

#### Inheritance

The StcObsDataLocation class inherits from the Stc class.

#### Attributes

The StcObsDataLocation class does not define any new attributes beyond those which are applicable to all Stcs.

#### Functions

The StcObsDataLocation class does not define any new functions beyond those which are applicable to all Stcs.
Copyright (C) 2021 East Asian Observatory